#ifndef __FB_H
#define __FB_H

/*
 *  Framebuffer routines
 */

#define FBADDR 0x20001020

/* convert RGB24 to RGB16 */
#define RGB16(r,g,b) (((((r) >> 3) & 0x1f) << 11) | \
		      ((((g) >> 2) & 0x3f) <<  5) | \
		      ((((b) >> 3) & 0x1f)))

typedef unsigned short fb_pix_t;

void fb_init(void);

void lcd_off(void);

void fb_clear(fb_pix_t color);

void dump_fb_timing_info(void);

int fb_get_width(void);
int fb_get_height(void);
void fb_putpixel(int x, int y, fb_pix_t pix);
void fb_draw_char(int x, int y, int c, fb_pix_t color);
void fb_fill(int x, int y, int w, int h, fb_pix_t color);
void fb_move(int sx, int sy, int w, int h, int dx, int dy);

#endif
