/* GPIO control */
#ifndef __GPIO_H
#define __GPIO_H

#define GPIO_LCD_BACKLIGHT_ON     126 /* LCD backlight */
#define GPIO_LCD_BACKLIGHT_BRIGHT  72 
#define GPIO_KEYPAD_LIGHT          74 /* Keypad backlight */
#define GPIO_USB_ENABLE            33 /* USB enable */
#define GPIO_VIBRATOR              34 /* Vibrator */
#define GPIO_DM                    35 /* USB D- */
#define GPIO_DP                    36 /* USB D+ */
#define GPIO_PANEL_ID0             69 /* Panel identification */
#define GPIO_PANEL_ID1             70
#define GPIO_LED_GREEN             79 /* Green led */
#define GPIO_LIGHT_SENSOR         116 /* Light sensor */
#define GPIO_LED_RED              128 /* Red led */
#define GPIO_HEADPHONE_SENSOR     137 /* Headphone */
#define GPIO_POWER_BUTTON         139 /* Power button */
#define GPIO_LED_BLUE             140 /* Blue led */


/* set a GPIO output value */
void gpio_out(int gpio, int value);

/* read a GPIO value */
int gpio_in(int gpio);

/* set a GPIO direction */
void gpio_dir(int gpio, int input);

#endif
