#ifndef __LIST_H
#define __LIST_H

/* circular list structure */
struct list {
  struct list *next;
  struct list *prev;
};

/* go through the list */
#define for_list(list, l) \
  for(l = (list)->next; l != (list); l = l->next)

#define list_item(l, type_t, member) \
  (type_t *) ((char *) l - (long) &(((type_t *) 0)->member));

static inline void list_init(struct list *list)
{
  list->next = list->prev = list;
}

static inline void list_add(struct list *parent, struct list *child)
{
  child->prev = parent->prev;
  parent->prev->next = child;
  parent->prev = child;
  child->next = parent;
}


#endif
