#ifndef __MENU_H
#define __MENU_H

#define ITEM_TEXT_LEFT_MARGIN FONTWIDTH
#define ITEM_TEXT_TOP_MARGIN ((ITEM_HEIGHT - FONTHEIGHT) / 2)

#define MENU_BGCOLOR RGB16(0xff, 0xff, 0xff) /* white */
#define MENU_FGCOLOR RGB16(0x00, 0x00, 0x00) /* black */
#define MENU_SHCOLOR RGB16(0xc0, 0xc0, 0xc0) /* gray */

#define MENU_SEL_BGCOLOR RGB16(0x00, 0x00, 0xff) /* blue */
#define MENU_SEL_FGCOLOR RGB16(0xff, 0xff, 0xff) /* white */
#define MENU_SEL_HSCOLOR RGB16(0xb0, 0xa0, 0xff) /* bright blue */

#define MENU_TITLE_BGCOLOR   RGB16(0xff, 0xf8, 0xb0) /* light orange */
#define MENU_SOFTKEY_BGCOLOR RGB16(0xff, 0xf8, 0xb0) /* light orange */

#define ITEM_HEIGHT 24
#define ITEM_LENGTH 24

#define MENU_TITLE "Welcome to EOL"
#define SHADOW_OFFSET 1

struct menu_item {
  int id;
  fb_pix_t icon[ITEM_HEIGHT][ITEM_HEIGHT];
  char text[ITEM_LENGTH];
  struct list list;
};

void menu_init(void);
int menu_add(int icon_id, char *text);
int menu_display(void);
void softkey_display(char *lefttext, char *righttext);

int menu_select_down(void);
int menu_select_up(void);
int menu_select(int sel);
struct confentry *menu_loop(struct conf *conf);

#endif
